@use "../sable";

.transition-none {
  @include sable.anima-transition-property(none);
}

.ease-linear {
  @include sable.anima-transition-timing-function(linear);
}
.ease-in {
  @include sable.anima-transition-timing-function(ease-in);
}
.ease-out {
  @include sable.anima-transition-timing-function(ease-out);
}
.ease-in-out {
  @include sable.anima-transition-timing-function(ease-in-out);
}

$times: (
  75,
  100,
  150,
  200,
  300,
  500,
  700,
  1000,
) !default;

@each $value in $times {
  .duration-#{$value} {
    @include sable.anima-transition-duration(#{$value}ms);
  }
  .delay-#{$value} {
    @include sable.anima-transition-delay(#{$value}ms);
  }
}

.animate-none {
  @include sable.anima-animation(none);
}
